import { proxyCustomElement, HTMLElement, h } from '@stencil/core/internal/client';
import { f as format } from './utils.js';

const gvcComponentCss = ":host{display:block}";

const GvcComponent$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  getText() {
    return format(this.first, this.middle, this.last);
  }
  render() {
    return h("div", null, "Hello, World! I'm GVC ", this.getText());
  }
  static get style() { return gvcComponentCss; }
}, [1, "gvc-component", {
    "first": [1],
    "middle": [1],
    "last": [1]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["gvc-component"];
  components.forEach(tagName => { switch (tagName) {
    case "gvc-component":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, GvcComponent$1);
      }
      break;
  } });
}

const GvcComponent = GvcComponent$1;
const defineCustomElement = defineCustomElement$1;

export { GvcComponent, defineCustomElement };
